## quick-widgets 0.3.1

=== Makefile ===
#############################################################################
# Makefile for building: build/quick-widgets
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Apr 26 20:58:32 2011
# Project:  quick-widgets.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile quick-widgets.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DAPP_VERSION=\"0.2.2\" -DAPP_BETA -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DQT_SHARED -I/usr/include/q-extras -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DQT_SHARED -I/usr/include/q-extras -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDeclarative -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -Ibuild -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lhildon-extras-1 -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lq-extras -L/usr/lib -L/usr/X11R6/lib -lQtMaemo5 -lQtDeclarative -lQtScript -lQtSvg -lQtSql -lQtXmlPatterns -lQtOpenGL -lQtNetwork -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = main.cpp \
		quickwidget.cpp \
		quickwidgetsettings.cpp \
		appeventlistener.cpp \
		ProcessObject.cpp build/moc_quickwidget.cpp \
		build/moc_quickwidgetsettings.cpp \
		build/moc_appeventlistener.cpp \
		build/moc_ProcessObject.cpp
OBJECTS       = build/main.o \
		build/quickwidget.o \
		build/quickwidgetsettings.o \
		build/appeventlistener.o \
		build/ProcessObject.o \
		build/moc_quickwidget.o \
		build/moc_quickwidgetsettings.o \
		build/moc_appeventlistener.o \
		build/moc_ProcessObject.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		quick-widgets.pro
QMAKE_TARGET  = quick-widgets
DESTDIR       = build/
TARGET        = build/quick-widgets

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): build/ui_quickwidgetsettings.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: quick-widgets.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDeclarative.prl \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtOpenGL.prl
	$(QMAKE) -o Makefile quick-widgets.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDeclarative.prl:
/usr/lib/libQtScript.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtOpenGL.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile quick-widgets.pro

dist: 
	@$(CHK_DIR_EXISTS) build/quick-widgets0.2.2 || $(MKDIR) build/quick-widgets0.2.2 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/quick-widgets0.2.2/ && $(COPY_FILE) --parents quickwidget.hpp quickwidgetsettings.hpp appeventlistener.hpp ProcessObject.h build/quick-widgets0.2.2/ && $(COPY_FILE) --parents main.cpp quickwidget.cpp quickwidgetsettings.cpp appeventlistener.cpp ProcessObject.cpp build/quick-widgets0.2.2/ && $(COPY_FILE) --parents quickwidgetsettings.ui build/quick-widgets0.2.2/ && (cd `dirname build/quick-widgets0.2.2` && $(TAR) quick-widgets0.2.2.tar quick-widgets0.2.2 && $(COMPRESS) quick-widgets0.2.2.tar) && $(MOVE) `dirname build/quick-widgets0.2.2`/quick-widgets0.2.2.tar.gz . && $(DEL_FILE) -r build/quick-widgets0.2.2


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -sa -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_quickwidget.cpp build/moc_quickwidgetsettings.cpp build/moc_appeventlistener.cpp build/moc_ProcessObject.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_quickwidget.cpp build/moc_quickwidgetsettings.cpp build/moc_appeventlistener.cpp build/moc_ProcessObject.cpp
build/moc_quickwidget.cpp: quickwidget.hpp
	/usr/bin/moc $(DEFINES) $(INCPATH) quickwidget.hpp -o build/moc_quickwidget.cpp

build/moc_quickwidgetsettings.cpp: quickwidgetsettings.hpp
	/usr/bin/moc $(DEFINES) $(INCPATH) quickwidgetsettings.hpp -o build/moc_quickwidgetsettings.cpp

build/moc_appeventlistener.cpp: appeventlistener.hpp
	/usr/bin/moc $(DEFINES) $(INCPATH) appeventlistener.hpp -o build/moc_appeventlistener.cpp

build/moc_ProcessObject.cpp: ProcessObject.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ProcessObject.h -o build/moc_ProcessObject.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: build/ui_quickwidgetsettings.h
compiler_uic_clean:
	-$(DEL_FILE) build/ui_quickwidgetsettings.h
build/ui_quickwidgetsettings.h: quickwidgetsettings.ui
	/usr/bin/uic quickwidgetsettings.ui -o build/ui_quickwidgetsettings.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:

=== debian/changelog ===
quick-widgets (0.3.1) unstable; urgency=low

  * added mce-dev to build dependencies

 -- Malte Marquarding <malte@marquarding.com>  Tue, 26 Apr 2011 21:12:35 +1000

quick-widgets (0.3.0) unstable; urgency=low

  * added auto-rotation of widgets (configurable)
  * use q-extras-1.0.6
  * fixed layout of settings dialog in portrait mode

 -- Malte Marquarding <malte@marquarding.com>  Tue, 26 Apr 2011 20:53:20 +1000

## quick-widgets 0.3.2

=== debian/changelog ===
quick-widgets (0.3.2) unstable; urgency=low

  * reverted back to overwrite paintEvent to allow fully transparent widgets

 -- Malte Marquarding <malte@marquarding.com>  Sat,  7 May 2011 12:28:25 +1000

## quick-widgets 0.3.3

=== Makefile ===
#############################################################################
# Makefile for building: build/quick-widgets
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat May 7 12:30:03 2011
# Project:  quick-widgets.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile quick-widgets.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DAPP_VERSION=\"0.2.2\" -DAPP_BETA -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DQT_SHARED -I/usr/include/q-extras -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DQT_SHARED -I/usr/include/q-extras -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtDeclarative -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -Ibuild -Ibuild
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lhildon-extras-1 -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lq-extras -L/usr/lib -L/usr/X11R6/lib -lQtMaemo5 -lQtDeclarative -lQtScript -lQtSvg -lQtSql -lQtXmlPatterns -lQtOpenGL -lQtNetwork -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = main.cpp \
		quickwidget.cpp \
		quickwidgetsettings.cpp \
		appeventlistener.cpp \
		ProcessObject.cpp build/moc_quickwidget.cpp \
		build/moc_quickwidgetsettings.cpp \
		build/moc_appeventlistener.cpp \
		build/moc_ProcessObject.cpp
OBJECTS       = build/main.o \
		build/quickwidget.o \
		build/quickwidgetsettings.o \
		build/appeventlistener.o \
		build/ProcessObject.o \
		build/moc_quickwidget.o \
		build/moc_quickwidgetsettings.o \
		build/moc_appeventlistener.o \
		build/moc_ProcessObject.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		quick-widgets.pro
QMAKE_TARGET  = quick-widgets
DESTDIR       = build/
TARGET        = build/quick-widgets

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): build/ui_quickwidgetsettings.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: quick-widgets.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDeclarative.prl \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtOpenGL.prl
	$(QMAKE) -o Makefile quick-widgets.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDeclarative.prl:
/usr/lib/libQtScript.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtOpenGL.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile quick-widgets.pro

dist: 
	@$(CHK_DIR_EXISTS) build/quick-widgets0.2.2 || $(MKDIR) build/quick-widgets0.2.2 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/quick-widgets0.2.2/ && $(COPY_FILE) --parents quickwidget.hpp quickwidgetsettings.hpp appeventlistener.hpp ProcessObject.h build/quick-widgets0.2.2/ && $(COPY_FILE) --parents main.cpp quickwidget.cpp quickwidgetsettings.cpp appeventlistener.cpp ProcessObject.cpp build/quick-widgets0.2.2/ && $(COPY_FILE) --parents quickwidgetsettings.ui build/quick-widgets0.2.2/ && (cd `dirname build/quick-widgets0.2.2` && $(TAR) quick-widgets0.2.2.tar quick-widgets0.2.2 && $(COMPRESS) quick-widgets0.2.2.tar) && $(MOVE) `dirname build/quick-widgets0.2.2`/quick-widgets0.2.2.tar.gz . && $(DEL_FILE) -r build/quick-widgets0.2.2


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -sa -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_quickwidget.cpp build/moc_quickwidgetsettings.cpp build/moc_appeventlistener.cpp build/moc_ProcessObject.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_quickwidget.cpp build/moc_quickwidgetsettings.cpp build/moc_appeventlistener.cpp build/moc_ProcessObject.cpp
build/moc_quickwidget.cpp: quickwidget.hpp
	/usr/bin/moc $(DEFINES) $(INCPATH) quickwidget.hpp -o build/moc_quickwidget.cpp

build/moc_quickwidgetsettings.cpp: quickwidgetsettings.hpp
	/usr/bin/moc $(DEFINES) $(INCPATH) quickwidgetsettings.hpp -o build/moc_quickwidgetsettings.cpp

build/moc_appeventlistener.cpp: appeventlistener.hpp
	/usr/bin/moc $(DEFINES) $(INCPATH) appeventlistener.hpp -o build/moc_appeventlistener.cpp

build/moc_ProcessObject.cpp: ProcessObject.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ProcessObject.h -o build/moc_ProcessObject.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: build/ui_quickwidgetsettings.h
compiler_uic_clean:
	-$(DEL_FILE) build/ui_quickwidgetsettings.h
build/ui_quickwidgetsettings.h: quickwidgetsettings.ui
	/usr/bin/uic quickwidgetsettings.ui -o build/ui_quickwidgetsettings.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

build/main.o: main.cpp ProcessObject.h \

=== debian/changelog ===
quick-widgets (0.3.3) unstable; urgency=low

  * fixed postinst script for existing symlink

 -- Malte Marquarding <malte@marquarding.com>  Sat,  7 May 2011 15:58:38 +1000

=== debian/control ===
Source: quick-widgets
Section: user/desktop
Priority: extra
Maintainer: Malte Marquarding <malte@marquarding.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libhildon-extras1-dev (>=0.9.5), q-extras-dev (>=1.0.5), mce-dev
Standards-Version: 3.7.3
Homepage: http://quick-widgets.garage.maemo.org/

Package: quick-widgets
Architecture: any
Depends: ${shlibs:Depends}, libhildon-extras1, q-extras (>=1.0.6), libqtm-12-declarative (>=1.2.0)
XB-Maemo-Display-Name: Quick Widgets
Description: This application simplifies running Qt Quick applications as
 home desktop widgets. It only needs the file. Thanks to Timur Kristf (Venemo)
 for doing all the had work in q-extras.
 This application is licensed under LGPL.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAUwwAAFMMBFXBNQgAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAWvSURBVGiB7ZrPUxNnGMc/u9mFBEhIIIEA
 oUakDlQdZ5yJIv1xqaeOPfVWneJM/4UeOr10eu30L+gpjr301kuntT20DuJA
 HR1tK1RrAigQxBB2ScwmWbLbQ0xiTCAkJKAz/Z6S99332e/n3ed9933fRDBN
 k0vfXToCfAO8DTh4tZUEbgJfBC8GbwkTVyZ8wN9A58H6qlkZYFwEvuL1Mw/Q
 AnwtAuONimhkjUaF2q3GRMDbiEih6yGmvp1C1/RGhNut2kRA2GuU0GSIuV/m
 UCMq08HpfYUQ9xogNBli7te5wvf9htgTQOh60bxFtuDsdwL7C1E3QOh6Lm0g
 Zz5wIcDZT8/iPuwGnkNcbj5EXQCVzLuH3LnPFwNFiJXmQ9QMsJ35vLaFSDUH
 oiaA0NTO5vOqBDETnGkKxK4BQlMh5q5WN5/XyxDKitIUiF0BhKfCNZnPaz8g
 qgKEp8LMXp0tGtql+byaDbEjwF7N59VMCGm7ivCNMPd+ukdWzyJKIiPnRsCE
 aCha982GxodIbaZQVhRij2PMBGcYuzSGZN3WRlVVbBm+EWb251nS8TQmJn1v
 9aFGVNSIWveN8uro6SD+NJ4DWVaYDk7vCaKsVd48AAL0jfZh77FjkS17Mp6X
 kTXoO9ZH5F4EyKXT9OVpxibqgxAmrkwoPN/QvGjeIltwDbqQbTL+0366D3c3
 BCC+FufBbw8wDRNd01lfWAfAOeCsC6IwiF82H7gQoM3V1hDTlSSIAoGPXxjY
 y7knsZXaqimOCJCMJcvM1zPb1Kqy2WlZKbzpdysRcr1hkS37aj6vPIRn2ANA
 q721pvYSgM1p49xn5zBNk5a2lsa7rCKLbOHMJ2dIbaawOqw1tS2MGNkmN9xY
 rarVPDRgS3nQ+h/goPU/wEHrtQeofx37XOpjlY3FDZLrSSSrREdPB73He8sW
 f+FrYYysgXPQWTHO2uwam6ubdPZ34hnJvdTikThP5p4w9N4QolS5r/cEsHhj
 kcidCJ2DnTj6Heiazuqfq6zNrTHywQhWZ3Fejz6IYhomW+nytY5pmizdXELX
 dERRLACk1TTRf6L43/EjbpMsdQOoSyqROxH87/rxniieD/sCPmZ/mGV+cp7R
 D0dL2jj6HSiLCrKr9KUZX4mTzWRp97TX7KPuMRC5G8HqtOI9Xnq4LdtkBgID
 qI9VnkWfldQ533CiazqZRKakPPowStdQV10+6gZ49vQZnYOdFc+2nb5cniej
 yZJy2SbT3tOOtqEVCw2IhWK4j7oxtmr/faEuAGPLQE/qtHZUXjlKVglRFElv
 psvqXH4XmqKBmfuuPFYQBAGHz4FpmDV7qQtAEAUEQYBtOsw0TQyMik/HNejC
 yBqkEzm49YfrdA135eLVoV0N4tW51cLWL6+EkmDh5gKJzUTZ9dlMFiWiIP8r
 k0zk0kiJKDy6/Qiby4bVbkWLaRhZg9h8jJHzI3WZrwogtUroKZ1UPEUqniqt
 FEFZUmh1tpb1dDKaRE/rZLNZ4mtxADKpDMmNJKZgYnPZ2FzeZGNhA6lVwu61
 NwfAf9qPsqxgmuW56RpwMT85j2AK9Iz2FFIgk8iQWE7QM9zDwMmBwvXqgkq3
 vxvHgANjy+DR5CMWbywW5vymALR1tdHWtf3G3u62M39tnuhfUdp729GTOokn
 CboGuxg9P4pkK4ZfnlnGc8SD+2huu6qtacTCMdxvVt++3v/xfslT7j/Zj+uw
 qzpANXlGPHR4O1CXVLSohqZpWFosHPvoGKJYOj/4Tvlo6y52Rv+pfuxee0mZ
 94SXlo7iltbmseEL+Mru++I1JedCe1VKSXH3+7t4T3g5NH6oESGrSgSeNiqY
 1WnFP+4ncjfCyq2VRoXdSSkJ+AMYblTE3hO9SDYJh29f/jNyWwS+BLRqV9ai
 7uFuZGvTTzkM4HMxeDH4EBgDfgdSOzZ5NaSTy5r3gxeDk/8BCkGAHh5D9sIA
 AAAASUVORK5CYII=
